FUNCTION ERASE_NT(3)

NAME
boost::algorithm::erase_nth_copy - Erase nth algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename OutputIteratorT, typename Range1T, typename Range2T>
  OutputIteratorT
  erase_nth_copy(OutputIteratorT Output, const Range1T & Input,
                 const Range2T & Search, int Nth);
template<typename SequenceT, typename RangeT>
  SequenceT erase_nth_copy(const SequenceT & Input, const RangeT & Search,
                           int Nth);

DESCRIPTION

Remove the Nth occurrence of the substring in the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters:

    Input
        An input string

    Nth
        An index of the match to be replaced. The index is 0-based. For negative N, matches are counted from the end of string.

    Output
        An output iterator to which the result will be copied

    Search
        A substring to be searched for

Returns:
    An output iterator pointing just after the last inserted character or a modified copy of the input

Notes:
    The second variant of this function provides the strong exception-safety guarantee